Scenario Items

Person and placeholder assignments on scenario services, carrying rates and allocated quantities. All scenario endpoints require the Scenario Builder feature on the organization's plan.

Attributes

booking booking
Response

The deal booking this item was created from, if any.

cost number
Response Request Nullable

Unit cost for this item.

cost_default number
Response Nullable

Unit cost for this item in the organization's default currency.

cost_normalized number
Response Nullable

Unit cost for this item in the organization's normalized currency.

currency string
Response Nullable

Currency code for this item's financial values.

currency_default string
Response

Currency code in the organization's default currency.

currency_normalized string
Response Nullable

Currency code in the organization's normalized currency.

end_date string
Response Request Nullable

The end date of the assignment.

expense expense
Response

The deal expense this item was created from, if any.

id integer
Parameter `filter`

Unique identifier of the scenario item.

markup string
Response Request Nullable

Markup percentage for this item.

name string
Response Request Nullable

Name of a placeholder item, required unless person_id is set.

organization organization
Response

The organization this scenario item belongs to.

person person
Response

The person assigned to this item.

person_id integer
Request Parameter `filter` Nullable

ID of the person assigned to this item.

price number
Response Request Nullable

Unit price for this item.

price_default number
Response Nullable

Unit price for this item in the organization's default currency.

price_normalized number
Response Nullable

Unit price for this item in the organization's normalized currency.

scenario_bookings array of scenario booking
Response

Bookings scheduled for this item.

scenario_service scenario service
Response

The scenario service this item belongs to.

scenario_service_id integer
Request

ID of the scenario service this item belongs to.

service_id integer
Parameter `filter`

ID of the scenario service this item belongs to.

start_date string
Response Request Nullable

The start date of the assignment.

used_quantity string
Response Request Nullable

Number of units allocated to this item.

Examples

Loading example